Skip to main content
`Ctrl`+`K`

# PetscIntViewNumColumns

Prints an array of integers; useful for debugging.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntViewNumColumns(PetscInt N, PetscInt Ncol, const PetscInt idx[], PetscViewer viewer)

Collective

## Input Parameters

- N - number of integers in array

- Ncol - number of integers to print per row

- idx - array of integers

- viewer - location to print array, `PETSC_VIEWER_STDOUT_WORLD`, `PETSC_VIEWER_STDOUT_SELF` or 0

## Note

This may be called from within the debugger, passing 0 as the viewer

This API may be removed in the future.

## Developer Note

`idx` cannot be const because may be passed to binary viewer where temporary byte swapping may be done

## See Also

`PetscViewer`, `PetscIntView()`, `PetscRealView()`

## Level

intermediate

## Location

src/sys/error/err.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages